<?php

require_once "header.php";

for ($problem = 1; $problem <= 4; ++$problem) {
	echo "<h2>Vidéos pour le problème $problem</h2>\n";
	/** @var Video $video */
	foreach ($videos[$problem - 1] as $video) {
		$link = $video->getLink();
		$team = Team::fromId($video->getTeam());
		$version = $video->getVersion();
		echo "<h4>Vidéo de présentation de l'équipe « " . $team->getName() . " » (" . $team->getTrigram() . ") :</h4>\n";
		echo "Lien de la vidéo (version $version) : <a href=\"$link\">$link</a>";
		displayVideo($link);

		if ($video->getValidation() == 0) { ?>
			<form method="POST">
				<input type="hidden" name="validate_video" value="" />
				<input type="hidden" name="video_id" value="<?= $video->getId() ?>" />
				<input style="width: 49%;" type="submit" name="accept" value="Accepter la vidéo" />
				<input style="width: 49%;" type="submit" name="reject" value="Refuser la vidéo" />
			</form>
		<?php }
		else
			echo "<h5>La vidéo a été " . ($video->getValidation() == 1 ? "acceptée" : "refusée") . ".</h5><br />\n";

		if ($video->getValidation() != Video::ACCEPTED) {
			$last_validated_video = Video::getVideo(Reason::SOLUTION, $team, Video::ACCEPTED);
			$link = $last_validated_video->getLink();
			echo "\nLien de la dernière vidéo validée de cette équipe : <a href=\"$link\">$link</a><br />\n";
			displayVideo($link);
		}

		if (Phase::getCurrentPhase() > Phase::PHASE1) {
            /** @var Question[] $from_questions */
			foreach (Question::getQuestionsTo($team) as $from_questions) {
		        $from = Team::fromId($from_questions[0]->getFrom());
		        echo "<hr />\n<h5>Questions posées par l'équipe " . $from->getName() . " (" . $from->getTrigram() . ") :</h5>\n";
		        for ($i = 0; $i < sizeof($from_questions); ++$i) {
		            $question = $from_questions[$i];
		            if ($question->getQuestion() == null)
		                continue;

		            echo "Question " . ($i + 1) . " : " . $question->getQuestion() . "<br />\n";
		            if ($question->getAttachedFile() != null) {
		                echo "<em>Pièce jointe attachée :</em> <a href=\"$URL_BASE/file/" . $question->getAttachedFile() . "\">Télécharger</a><br />\n";
                    }
                }
            }
        }
	}
	echo "<hr />\n";
}

require_once "footer.php";